package schedframe.resources.computing.profiles.energy.airthroughput;

import schedframe.resources.computing.ComputingResource;
import schedframe.resources.computing.profiles.energy.airthroughput.ui.AirThroughputInterface;
import schedframe.resources.computing.profiles.energy.airthroughput.ui.DefaultAirThroughputInterface;

public class AirThroughputInterfaceFactory {
	
	public static AirThroughputInterface createAirThroughputInterface(ComputingResource resource, AirThroughputProfile atp){
		if(atp == null)
			return null;
		AirThroughputInterface airThroughputInterface = new DefaultAirThroughputInterface(resource, atp);

		return airThroughputInterface;
	}
}
